<?php
$tdataexpense_categories = array();
$tdataexpense_categories[".searchableFields"] = array();
$tdataexpense_categories[".ShortName"] = "expense_categories";
$tdataexpense_categories[".OwnerID"] = "";
$tdataexpense_categories[".OriginalTable"] = "expense_categories";


$tdataexpense_categories[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataexpense_categories[".originalPagesByType"] = $tdataexpense_categories[".pagesByType"];
$tdataexpense_categories[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataexpense_categories[".originalPages"] = $tdataexpense_categories[".pages"];
$tdataexpense_categories[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataexpense_categories[".originalDefaultPages"] = $tdataexpense_categories[".defaultPages"];

//	field labels
$fieldLabelsexpense_categories = array();
$fieldToolTipsexpense_categories = array();
$pageTitlesexpense_categories = array();
$placeHoldersexpense_categories = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpense_categories["English"] = array();
	$fieldToolTipsexpense_categories["English"] = array();
	$placeHoldersexpense_categories["English"] = array();
	$pageTitlesexpense_categories["English"] = array();
	$fieldLabelsexpense_categories["English"]["category_id"] = "Category Id";
	$fieldToolTipsexpense_categories["English"]["category_id"] = "";
	$placeHoldersexpense_categories["English"]["category_id"] = "";
	$fieldLabelsexpense_categories["English"]["category_name"] = "Category Name";
	$fieldToolTipsexpense_categories["English"]["category_name"] = "";
	$placeHoldersexpense_categories["English"]["category_name"] = "";
	$fieldLabelsexpense_categories["English"]["description"] = "Description";
	$fieldToolTipsexpense_categories["English"]["description"] = "";
	$placeHoldersexpense_categories["English"]["description"] = "";
	if (count($fieldToolTipsexpense_categories["English"]))
		$tdataexpense_categories[".isUseToolTips"] = true;
}


	$tdataexpense_categories[".NCSearch"] = true;



$tdataexpense_categories[".shortTableName"] = "expense_categories";
$tdataexpense_categories[".nSecOptions"] = 0;

$tdataexpense_categories[".mainTableOwnerID"] = "";
$tdataexpense_categories[".entityType"] = 0;
$tdataexpense_categories[".connId"] = "easy_cash_at_localhost";


$tdataexpense_categories[".strOriginalTableName"] = "expense_categories";

	



$tdataexpense_categories[".showAddInPopup"] = false;

$tdataexpense_categories[".showEditInPopup"] = false;

$tdataexpense_categories[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpense_categories[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataexpense_categories[".listAjax"] = false;
//	temporary
$tdataexpense_categories[".listAjax"] = false;

	$tdataexpense_categories[".audit"] = false;

	$tdataexpense_categories[".locking"] = false;


$pages = $tdataexpense_categories[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpense_categories[".edit"] = true;
	$tdataexpense_categories[".afterEditAction"] = 1;
	$tdataexpense_categories[".closePopupAfterEdit"] = 1;
	$tdataexpense_categories[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpense_categories[".add"] = true;
$tdataexpense_categories[".afterAddAction"] = 1;
$tdataexpense_categories[".closePopupAfterAdd"] = 1;
$tdataexpense_categories[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpense_categories[".list"] = true;
}



$tdataexpense_categories[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpense_categories[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpense_categories[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpense_categories[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpense_categories[".printFriendly"] = true;
}



$tdataexpense_categories[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpense_categories[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpense_categories[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpense_categories[".isUseAjaxSuggest"] = true;

$tdataexpense_categories[".rowHighlite"] = true;



																								

$tdataexpense_categories[".ajaxCodeSnippetAdded"] = false;

$tdataexpense_categories[".buttonsAdded"] = false;

$tdataexpense_categories[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpense_categories[".isUseTimeForSearch"] = false;


$tdataexpense_categories[".badgeColor"] = "DB7093";


$tdataexpense_categories[".allSearchFields"] = array();
$tdataexpense_categories[".filterFields"] = array();
$tdataexpense_categories[".requiredSearchFields"] = array();

$tdataexpense_categories[".googleLikeFields"] = array();
$tdataexpense_categories[".googleLikeFields"][] = "category_id";
$tdataexpense_categories[".googleLikeFields"][] = "category_name";
$tdataexpense_categories[".googleLikeFields"][] = "description";



$tdataexpense_categories[".tableType"] = "list";

$tdataexpense_categories[".printerPageOrientation"] = 0;
$tdataexpense_categories[".nPrinterPageScale"] = 100;

$tdataexpense_categories[".nPrinterSplitRecords"] = 40;

$tdataexpense_categories[".geocodingEnabled"] = false;










$tdataexpense_categories[".pageSize"] = 20;

$tdataexpense_categories[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpense_categories[".strOrderBy"] = $tstrOrderBy;

$tdataexpense_categories[".orderindexes"] = array();


$tdataexpense_categories[".sqlHead"] = "SELECT category_id,  	category_name,  	description";
$tdataexpense_categories[".sqlFrom"] = "FROM expense_categories";
$tdataexpense_categories[".sqlWhereExpr"] = "";
$tdataexpense_categories[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpense_categories[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpense_categories[".arrGroupsPerPage"] = $arrGPP;

$tdataexpense_categories[".highlightSearchResults"] = true;

$tableKeysexpense_categories = array();
$tableKeysexpense_categories[] = "category_id";
$tdataexpense_categories[".Keys"] = $tableKeysexpense_categories;


$tdataexpense_categories[".hideMobileList"] = array();




//	category_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "category_id";
	$fdata["GoodName"] = "category_id";
	$fdata["ownerTable"] = "expense_categories";
	$fdata["Label"] = GetFieldLabel("expense_categories","category_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "category_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "category_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpense_categories["category_id"] = $fdata;
		$tdataexpense_categories[".searchableFields"][] = "category_id";
//	category_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "category_name";
	$fdata["GoodName"] = "category_name";
	$fdata["ownerTable"] = "expense_categories";
	$fdata["Label"] = GetFieldLabel("expense_categories","category_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "category_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "category_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "expense_categories";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "category_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "category_name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpense_categories["category_name"] = $fdata;
		$tdataexpense_categories[".searchableFields"][] = "category_name";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "expense_categories";
	$fdata["Label"] = GetFieldLabel("expense_categories","description");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpense_categories["description"] = $fdata;
		$tdataexpense_categories[".searchableFields"][] = "description";


$tables_data["expense_categories"]=&$tdataexpense_categories;
$field_labels["expense_categories"] = &$fieldLabelsexpense_categories;
$fieldToolTips["expense_categories"] = &$fieldToolTipsexpense_categories;
$placeHolders["expense_categories"] = &$placeHoldersexpense_categories;
$page_titles["expense_categories"] = &$pageTitlesexpense_categories;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expense_categories"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["expense_categories"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expense_categories()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "category_id,  	category_name,  	description";
$proto0["m_strFrom"] = "FROM expense_categories";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "category_id",
	"m_strTable" => "expense_categories",
	"m_srcTableName" => "expense_categories"
));

$proto6["m_sql"] = "category_id";
$proto6["m_srcTableName"] = "expense_categories";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "category_name",
	"m_strTable" => "expense_categories",
	"m_srcTableName" => "expense_categories"
));

$proto8["m_sql"] = "category_name";
$proto8["m_srcTableName"] = "expense_categories";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "expense_categories",
	"m_srcTableName" => "expense_categories"
));

$proto10["m_sql"] = "description";
$proto10["m_srcTableName"] = "expense_categories";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "expense_categories";
$proto13["m_srcTableName"] = "expense_categories";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "category_id";
$proto13["m_columns"][] = "category_name";
$proto13["m_columns"][] = "description";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "expense_categories";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "expense_categories";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expense_categories";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expense_categories = createSqlQuery_expense_categories();


	
		;

			

$tdataexpense_categories[".sqlquery"] = $queryData_expense_categories;



$tableEvents["expense_categories"] = new eventsBase;
$tdataexpense_categories[".hasEvents"] = false;

?>